tvbrowser.core.filters

## Class FilterList

- java.lang.Object
- - tvbrowser.core.filters.FilterList

-     public class FilterList
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `FILTER_DIRECTORY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProgramFilter(ProgramFilter filter)`
    `boolean` | `containsFilter(java.lang.String filterName)`
    `void` | `createFilterMenu(javax.swing.JMenu filterMenu, ProgramFilter curFilter)`
    `protected ProgramFilter` | `getAllFilter()` Gets the "ShowAll" filter
    `protected ProgramFilter` | `getDefaultFilter()` Returns the Default-Filter.
    `ProgramFilter[]` | `getFilterArr()`
    `ProgramFilter` | `getFilterByName(java.lang.String name)` Returns the Filter named "name"
    `static java.io.File` | `getFilterDirectory()`
    `FilterTreeModel` | `getFilterTreeModel()`
    `static FilterList` | `getInstance()`
    `PluginsProgramFilter[]` | `getPluginsProgramFiltersForPlugin(PluginAccess plugin)`
    `UserFilter[]` | `getUserFilterArr()`
    `void` | `remove(ProgramFilter filter)`
    `void` | `setProgramFilterArr(ProgramFilter[] filterArr)`
    `void` | `store()`
    `void` | `updateAvailableChannels(Channel[] channels)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILTER_DIRECTORY

          protected static final java.lang.String FILTER_DIRECTORY

  - ### Method Detail

    - #### getFilterDirectory

          public static java.io.File getFilterDirectory()

    - #### getInstance

          public static FilterList getInstance()

    - #### createFilterMenu

          public void createFilterMenu(javax.swing.JMenu filterMenu,
                              ProgramFilter curFilter)

    - #### getFilterArr

          public ProgramFilter[] getFilterArr()

    - #### getPluginsProgramFiltersForPlugin

          public PluginsProgramFilter[] getPluginsProgramFiltersForPlugin(PluginAccess plugin)

    - #### getUserFilterArr

          public UserFilter[] getUserFilterArr()

    - #### containsFilter

          public boolean containsFilter(java.lang.String filterName)

    - #### setProgramFilterArr

          public void setProgramFilterArr(ProgramFilter[] filterArr)

    - #### addProgramFilter

          public void addProgramFilter(ProgramFilter filter)

    - #### updateAvailableChannels

          public void updateAvailableChannels(Channel[] channels)

    - #### remove

          public void remove(ProgramFilter filter)

    - #### store

          public void store()

    - #### getFilterByName

          public ProgramFilter getFilterByName(java.lang.String name)

      Returns the Filter named "name"
      Parameters:
        `name` - Name of Filter to return
      Returns:
        Filter with Name "name" or null if not found

    - #### getAllFilter

          protected ProgramFilter getAllFilter()

      Gets the "ShowAll" filter
      Returns:
        The "ShowAll" filter
      Since:
        2.6

    - #### getDefaultFilter

          protected ProgramFilter getDefaultFilter()

      Returns the Default-Filter.
      Returns:
        the Default-Filter

    - #### getFilterTreeModel

          public FilterTreeModel getFilterTreeModel()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)